<!--
  Generated template for the SetAvailabilityPopupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
        <ion-navbar class="dawn-bar">
        
       
                <ion-icon name="arrow-round-back" (click)="cancel()" style="font-size: 28px;
               color:#13a89e; float:left; width:15%;  padding-left: 15px;"></ion-icon>
              
              <ion-title style=" float:left; width:85%;"> Provider Availabilty</ion-title>

    </ion-navbar>
  </ion-header>
  
  
  <ion-content>
  
    <ion-grid class="heding-box">
        <ion-row>
          <ion-col col-6>
              <h3>Setting Availabilty</h3>
          </ion-col>
          <ion-col col-6 text-right>
              <button (click)="cancel()" >Cancel</button>
              <button class="bg-button" (click)="update()">Update</button>
          </ion-col>
        </ion-row>
    </ion-grid>
  
  
    <ion-grid class="date-box">
        <ion-row>
          <ion-col col-12>
              <button (click)="ChooseDate()" [ngClass]="{'bg-button': buttonClicked==false}" >Date</button>
              <button (click)="chooseWeek()" [ngClass]="{'bg-button': buttonClicked==true}" >WEEK</button>
          </ion-col>
        </ion-row>
    </ion-grid>
  
    <ion-grid class="day-box">
        <ion-row *ngIf="buttonClicked==true">
          <ion-col col-12>
              <ul>
                  <li  [ngClass]="{'active' : dayofWeek==7 }" >Sun</li>
                  <li [ngClass]="{'active' : dayofWeek==1 }" >Mon</li>
                  <li   class="active" [class.active]= "dayofWeek==2">Tue</li>
                  <li   [ngClass]="{'active' : dayofWeek==3 }" >Wed</li>
                  <li [ngClass]="{'active' : dayofWeek==4 }" >Thu</li>
                  <li [ngClass]="{'active' : dayofWeek==5 }" >Fri</li>
                  <li [ngClass]="{'active' : dayofWeek==6 }" >Sat</li>
              </ul>
          </ion-col>
        </ion-row>
    </ion-grid>
    <ion-grid class="day-box">
            <ion-row *ngIf="buttonClicked==false">
              <ion-col col-12>
            <ion-item no-lines>
            <ion-label class="margin-top">Enter Date:<b style="color: #f00;">*</b> </ion-label>
            <ion-datetime pickerFormat="MM/DD/YYYY"   min="2019" max="2050" [(ngModel)]="Time" placeholder="Enter Date"></ion-datetime> 
          </ion-item>
              </ion-col>
            </ion-row>
        </ion-grid>
  
    <ion-grid class="available-box">
        <ion-row>
          <ion-col col-12>
              <h4>Available in</h4>
          </ion-col>
          <ion-col col-12>
              <button   (click)="Clinic()"  [ngClass]="{'bg-button' : Select_Location==true }" >Clinic</button>
              <button   (click)="Home()"  [ngClass]="{'bg-button' : Select_Location==false }" >Home</button>
          </ion-col>
        </ion-row>
    </ion-grid>
  
  
    <ion-grid class="select-box">
        <ion-row *ngIf="Select_Location==true" class="select-box-one">
          <ion-col col-12>
              <ion-item>
                  <ion-label>Select Location</ion-label>
                  <ion-select  interface="popover" [(ngModel)]="clinic_name" id="category" placeholder="Select">
                        <ion-option *ngFor="let vCategory of Data"  [value]="vCategory" class="option"
                        text-wrap>
                  {{vCategory.name}}
                </ion-option>
                      <!-- <ion-option>10</ion-option>
                      <ion-option>20</ion-option> -->
                  </ion-select>
              </ion-item>
          </ion-col>
        </ion-row>
        <ion-row  class="select-box-two">
          <ion-col col-5>
              <ion-item>
                  <ion-label>Start time</ion-label>
                  
                        <ion-datetime disabled  displayFormat="HH:mm a" hourValues="06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22" minuteValues="00,30"  placeholder="Select" [(ngModel)]="startTimedata"></ion-datetime> 
                   
              </ion-item>
          </ion-col>
          <ion-col col-5>
              <ion-item>
                  <ion-label>End time</ion-label>
                  <ion-datetime displayFormat="HH:mm a" hourValues="06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22" minuteValues="00,30"  placeholder=" End Time" [(ngModel)]="endTimedata" ></ion-datetime> 
              </ion-item>
          </ion-col>
         <!-- <ion-col col-2>
              <ion-icon name="close"></ion-icon>
          </ion-col>-->
        </ion-row>
        
        <!-- <ion-row class="select-box-three">
            <ion-col col-12>
                <ion-item>
                    <ion-label>Select Location</ion-label>
                    <ion-select placeholder="Select">
                        <ion-option>10</ion-option>
                        <ion-option>20</ion-option>
                    </ion-select>
                </ion-item>
            </ion-col>
          </ion-row> -->
          <!-- <ion-row class="select-box-four"> -->
              <!-- <ion-col col-5 class="width-one">
                  <ion-item>
                      <ion-label>Start time</ion-label>
                      <ion-select placeholder="Select">
                          <ion-option>10</ion-option>
                          <ion-option>20</ion-option>
                      </ion-select>
                  </ion-item>
              </ion-col>
              <ion-col col-5 class="width-two">
                  <ion-item>
                      <ion-label>End time</ion-label>
                      <ion-select placeholder="Select">
                          <ion-option>10</ion-option>
                          <ion-option>20</ion-option>
                      </ion-select>
                  </ion-item>
              </ion-col> -->
              <!-- <ion-col col-2 class="width-three">
                  <button (click)='AddSlot()' >Add more Slot</button>
              </ion-col>
            </ion-row> -->
      
  
  
    </ion-grid>
  
  
  
  </ion-content>
  